# Do not check any files in docdir for requires
%global __requires_exclude_from ^%{_docdir}/.*$

Name:           perl-Twiggy
Version:        0.1025
Release:        1%{?dist}
Summary:        AnyEvent HTTP server for PSGI (like Thin)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Twiggy/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Twiggy-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.1
BuildRequires:  /usr/bin/dos2unix
BuildRequires:  findutils
BuildRequires:  make

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# requires and recommends from Makefile.PL
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(HTTP::Parser::XS)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(Plack) >= 0.99
BuildRequires:  perl(Try::Tiny)
# all runtime requires
BuildRequires:  perl(AnyEvent::Handle)
BuildRequires:  perl(AnyEvent::Socket)
BuildRequires:  perl(AnyEvent::Util)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Errno)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Plack::HTTPParser)
BuildRequires:  perl(Plack::Runner)
BuildRequires:  perl(Plack::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Server::Starter)
BuildRequires:  perl(Socket)
BuildRequires:  perl(constant)
BuildRequires:  perl(parent)
BuildRequires:  perl(warnings)
# optinal runtime requires
BuildRequires:  perl(AnyEvent::AIO)
BuildRequires:  perl(IO::AIO)
# other required for tests
BuildRequires:  perl(AnyEvent::HTTP)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Plack::App::File)
BuildRequires:  perl(Plack::Loader)
BuildRequires:  perl(Plack::Middleware::Deflater)
BuildRequires:  perl(Plack::Request)
BuildRequires:  perl(Plack::Test::Suite)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(Time::HiRes)

# requires and recommends from Makefile.PL
Requires:       perl(HTTP::Parser::XS)
Requires:       perl(Plack) >= 0.99
# optional runtime requires
Requires:       perl(AnyEvent::AIO)
Requires:       perl(IO::AIO)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Twiggy is a lightweight and fast HTTP server based on AnyEvent and can run any
PSGI applications.

%prep
%setup -q -n Twiggy-%{version}
chmod -x eg/chat-websocket/static/jquery.oembed.js
dos2unix eg/chat-websocket/static/jquery.oembed.js

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
TEST_SLOW=1 make test 

%files
%license LICENSE
%doc Changes eg/
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Mon Jun 22 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.1025-1
- 0.1025 bump

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.1024-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 13 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.1024-1
- Update to 0.1024

* Fri Aug  9 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.1023-1
- Update to 0.1023

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.1021-5
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1021-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May  3 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.1021-3
- Remove duplicated BR

* Fri May  3 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.1021-2
- Revise BuildRequires and Requires
- Include the eg directory to %%doc

* Tue Apr 09 2013 Robin Lee <cheeselee@fedoraproject.org> 0.1021-1
- Specfile autogenerated by cpanspec 1.78.
